Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.xquery.func
Class FNSimple

    java.lang.Object
      org.basex.query.xquery.expr.Expr
          org.basex.query.xquery.func.Fun
              org.basex.query.xquery.func.FNSimple

    public final class FNSimple

extends Fun

Simple functions.

Author:
  Workgroup DBIS, University of Konstanz 2005-07, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.xquery.func.Fun
`func`

Fields inherited from class org.basex.query.xquery.expr.Expr
`type`

Constructor Summary
`FNSimple()`

Method Summary
`Expr` | `comp(XQContext ctx, Expr[] arg)` Compiles the function.
`Item` | `eval(XQContext ctx, Item[] arg)` Evaluates the function.

Methods inherited from class org.basex.query.xquery.func.Fun
`comp, eval, info, toString`

Methods inherited from class org.basex.query.xquery.expr.Expr
`cls, d, e, i, n, node, s, size, str, u`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FNSimple

    public FNSimple()

Method Detail

### comp

    public Expr comp(XQContext ctx,
                     Expr[] arg)

  Description copied from class: `Fun`
  Compiles the function.

  Overrides:
    `comp` in class `Fun`
  Parameters:
    `ctx` - xquery context
    `arg` - evaluated arguments
  Returns:
    evaluated item

### eval

    public Item eval(XQContext ctx,
                     Item[] arg)
              throws XQException

  Description copied from class: `Fun`
  Evaluates the function.

  Specified by:
    `eval` in class `Fun`
  Parameters:
    `ctx` - xquery context
    `arg` - evaluated arguments
  Returns:
    evaluated item
  Throws:
    `XQException` - evaluation exception

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD